# country_currency_helper

[![](https://img.shields.io/badge/pub-v0.0.3-brightgreen.svg)](https://pub.dev/packages/country_currency_helper)

![Test and (dry-run) publish package](https://github.com/qreate/country_currency_helper/workflows/Test%20and%20(dry-run)%20publish%20package/badge.svg)

[![licence](https://img.shields.io/badge/licence-MIT-blue.svg)](https://github.com/qreate/country_currency_helper/blob/main/LICENSE.md)

## Features

Pre-release, this package is still being developed 🚧

Makes it easy to get the countries ISO information by country code and get currency information by country code. Not localization depended.

| Function  | Description| Implemented |
|---|---|---|
| Currency info from country code.  | Getting the currency info with the country code. | 🚧 |
| Country iso from code.  | Getting country ISO from country code. | ✔️ |

### Supported countries:

* Afghanistan 🇦🇫
* Albania 🇦🇱
* Algeria 🇩🇿
* United States 🇺🇸
* American Samoa 🇦🇸
* Bonaire, Sint Eustatius and Saba 🇧🇶
* British Indian Ocean Territory 🇮🇴
* Ecuador 🇪🇨
* El Salvador 🇸🇻
* Guam 🇬🇺
* Haiti 🇭🇹
* Virgin Islands 🇻🇮
* Marshall Islands 🇲🇭
* Micronesia 🇫🇲
* Northern Mariana Islands 🇲🇵
* Palau 🇵🇼
* Puerto Rico 🇵🇷
* Timor-Leste 🇹🇱
* Turks and Caicos Islands 🇹🇨
* Andorra 🇦🇩
* Belgium 🇧🇪
* Cyprus 🇨🇾
* Germany 🇩🇪
* Estonia 🇪🇪
* Finland 🇫🇮
* France 🇫🇷
* French Southern Territories 🇹🇫
* Greece 🇬🇷
* Guadeloupe 🇬🇵
* Ireland 🇮🇪
* Italy 🇮🇹
* Latvia 🇱🇻
* Lithuania 🇱🇹
* Luxembourg 🇱🇺
* Malta 🇲🇹
* Martinique 🇲🇶
* Mayotte 🇾🇹
* Heard & McDonald Islands 🇭🇲
* Montenegro 🇲🇪
* The Netherlands 🇳🇱
* Austria 🇦🇹
* Portugal 🇵🇹
* Réunion 🇷🇪
* Saint Pierre and Miquelon 🇵🇲
* San Marino 🇸🇲
* Saint Barthélemy 🇧🇱
* Sint Maarten 🇸🇽
* Slovakia 🇸🇰
* Holy See 🇻🇦
* Åland Islands 🇦🇽
* Angola 🇦🇴
* Anguilla 🇦🇮
* Argentina 🇦🇷
* Australia 🇦🇺
* Christmas Island 🇨🇽
* Cocos (Keeling) Islands 🇨🇨
* Kiribati 🇰🇮
* Nauru 🇳🇷
* Norfolk Island 🇳🇷
* Tuvalu 🇹🇻
* Aruba 🇦🇼
* Azerbaijan 🇦🇿
* Bosnia and Herzegovina 🇧🇦
* Barbados 🇧🇧
* Poland 🇵🇱
* China 🇨🇳
* Russia 🇷🇺
* United Arab Emirates 🇦🇪
* Armenia 🇦🇲
* Curaçao 🇨🇼
* Sint Maarten 🇸🇽
* Barbados 🇧🇧
* Bangladesh 🇧🇩
* Bulgaria 🇧🇬
* Bahrain 🇧🇭
* Burundi 🇧🇮
* Bermuda 🇧🇲
* Brunei 🇧🇳
* Bolivia 🇧🇴
* Brazil 🇧🇷
* The Bahamas 🇵🇱
* Bhutan 🇧🇹
* Botswana 🇧🇼
* Belarusian 🇧🇾
* Belize 🇧🇿
* Canada 🇨🇦
* Benin 🇧🇯
* Burkina Faso 🇧🇫
* Côte d'Ivoire 🇨🇮
* Guinea-Bissau 🇬🇼
* Mali 🇲🇱
* Niger 🇳🇪
* Senegal 🇸🇳
* Togo 🇹🇬
* Congo 🇨🇬
* Switzerland 🇨🇭
* Liechtenstein 🇱🇮
* Chile 🇨🇱
* Colombia 🇨🇴
* Costa Rica 🇨🇷
* Cuba 🇨🇺
* Cape Verde 🇨🇻
* Czechia 🇨🇿
* Djiboutian 🇩🇯
* Denmark 🇩🇰
* Dominican Republic 🇩🇴
* Egypt 🇪🇬
* Eritrea 🇪🇷
* Ethiopia 🇪🇹
* Fiji 🇫🇯
* Falkland Islands 🇫🇰
* United Kingdom 🇬🇧
* Isle of Man 🇮🇲
* Jersey 🇯🇪
* Guernsey 🇬🇬
* Georgia 🇬🇪
* Ghana 🇬🇭
* Gibraltar 🇬🇮
* Gambia 🇬🇲
* Guinea 🇬🇳
* Guatemala 🇬🇹
* Guyana 🇬🇾
* Hong Kong 🇭🇰
* Honduras 🇭🇳
* Croatia 🇭🇷
* Haiti 🇭🇹
* Hungary 🇭🇺
* Indonesia 🇮🇩
* Israel 🇮🇱
* India 🇮🇳
* Iraq 🇮🇶
* Iran 🇮🇷
* Iceland 🇮🇸
* Jamaican 🇯🇲
* Jordan 🇯🇴
* Japan 🇯🇵
* Kenya 🇰🇪
* Kyrgyzstan 🇰🇬
* Cambodia 🇰🇭
* Comoros 🇰🇲
* North Korean 🇰🇵
* South Korean 🇰🇷
* Kuwait 🇰🇼
* Cayman Islands 🇰🇾
* Kazakhstan 🇰🇿
* Laos 🇱🇦
* Lebanon 🇱🇧
* Sri Lanka 🇱🇰
* Liberia 🇱🇷
* Lesotho 🇱🇸
* Libya 🇱🇾

## Changelog

See [CHANGELOG.md](CHANGELOG.md).

## Contributing

Feel free to contribute by opening issues and/or pull requests. Your feedback is very welcome!

## License

MIT License

Copyright (c) [2020] [qreate]
